<?php
namespace app\model;

/**
 * 朋友圈点赞模型
 * @property integer $id 主键(ID)
 * @property integer $circle_id 朋友圈动态ID
 * @property integer $user_id 用户ID
 * @property integer $created_at 创建时间
 */
class FriendCircleLike extends Base
{
    protected $name = 'friend_circle_like';
    protected $autoWriteTimestamp = 'int';
    
    /**
     * 关联朋友圈动态
     */
    public function circle()
    {
        return $this->belongsTo('\\app\\model\\FriendCircle', 'circle_id', 'id');
    }
    
    /**
     * 关联用户
     */
    public function user()
    {
        return $this->belongsTo('\\app\\model\\User', 'user_id', 'id');
    }
}

